%define upstream_name    Archive-BagIt
%define upstream_version 0.052

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    An interface to make and verify bags
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Archive/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Data::Printer)
BuildRequires: perl(Digest::MD5)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.880.0
BuildRequires: perl(File::Find)
BuildRequires: perl(IO::AIO)
BuildRequires: perl(Moose)
BuildRequires: perl(MooseX::App::Cmd)
BuildRequires: perl(Sub::Quote)
BuildArch:  noarch

%description
no description found

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make

rm -f t/*pod*t

%install
%makeinstall_std

%files
%doc Changes MYMETA.yml README.mkdn
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Tue Jul 11 2017 bb2 <bb2> - 0.52.0-4pclos2017
- rebuild against updates

